MacellanMacellan SuperApp
WaasKullanıcıKayıt

Oluştur

  • Bu servis, OTP işleminden sonra kullanıcıyı oluşturup cüzdan hesabının açılması için kullanılır.
POST
/waas/integration/users/register

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

UserRegisterRequest

phone*string

Kullanıcı telefon bilgisi (E.164 Format)

email*string
locale?string

Kullanıcının dil bilgisi

Default"tr"
Value in"tr" | "en"
first_name*string

Kullanıcı ad bilgisi

last_name*string

Kullanıcı soyad bilgisi

verify_id*integer

Telefona ait OTP Doğrulama id bilgisi

subscribe_sms?boolean

Sms iletişim izni

Defaultfalse
subscribe_email?boolean

Email iletişim izni

Defaultfalse
id_number?string

Kimlik Numarası

gender?string

Cinsiyet

Value in"male" | "female" | "prefer_not_respond"
birth_date?date

Doğum Tarihi

{
  "phone": "+905231113344",
  "email": "string",
  "locale": "tr",
  "first_name": "Macellan",
  "last_name": "Superapp",
  "verify_id": 1,
  "subscribe_sms": false,
  "subscribe_email": false,
  "id_number": "11111111111",
  "gender": "male",
  "birth_date": "2000-12-20"
}

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://api.altpay.dev/waas/integration/users/register" \  -H "Content-Type: application/json" \  -d '{    "phone": "+905231113344",    "verify_id": 1  }'
{
  "data": {
    "mapping": {
      "id": "8b5ac43a-20ce-4987-a739-d8a7ee480eaa",
      "wallet_id": 1,
      "is_active": true,
      "created_at": "2019-08-24T14:15:22Z"
    },
    "id": "25809faf-9f21-40c8-bebe-3dd4e343b446",
    "first_name": "AB****",
    "last_name": "CD****",
    "email": "ab*****@test.com",
    "phone": "90***********",
    "locale": "tr"
  }
}
{
  "message": "Unauthenticated"
}
{
  "message": "string"
}
{
  "message": "string"
}